{
	"name": "table/external/4d/bookkeeping/sales_order_code_account.json",
	"table_name": "sales_order_code_account",
	"table_prefix": "soca",
	"main_table": "account",
	"record_type": ["sales_account"],
	"local_table": "order_code",
	"local_record_type": "sales_account",
	"table_number": 7,
	"field": [
		{
			"field_name": "record_id",
			"local_field": "record_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 5,
			"constraint": ["unique"]
		},
		{
			"field_name": "sales_order_code_id",
			"local_field": "order_code_id",
			"field_type": "varchar",
			"field_length": 6,
			"field_number": 1,
			"constraint": ["index"],
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "sales_order_code_id",
					"linked_table": "sales_order_code"
				}
			],
			"nullable": true
		},
		{
			"field_name": "account_id",
			"local_field": "account_id",
			"field_type": "varchar",
			"field_length": 12,
			"field_number": 3,
			"constraint": ["index"],
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "account_id",
					"linked_table": "account"
				}
			],
			"nullable": true
		},
		{
			"field_name": "change_id",
			"local_field": "modify_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 10
		},
		{
			"field_name": "creator_id",
			"local_field": "json_data.creator_id",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 11
		},
		{
			"field_name": "customer_project",
			"local_field": "json_data.customer_project",
			"field_type": "varchar",
			"field_length": 40,
			"field_number": 8
		},
		{
			"field_name": "discount_type",
			"local_field": "json_data.discount_type",
			"field_type": "varchar",
			"field_length": 2,
			"field_number": 2
		},
		{
			"field_name": "firm_id",
			"local_field": "json_data.firm_id",
			"field_type": "integer",
			"field_number": 6,
			"constraint": ["index"]
		},
		{
			"field_name": "info",
			"local_field": "info",
			"field_type": "text",
			"field_number": 4
		},
		{
			"field_name": "modifier_id",
			"local_field": "modify_user",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 12
		},
		{
			"field_name": "project_id",
			"local_field": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 40,
			"field_number": 9
		},
		{
			"field_name": "transfer_id",
			"local_field": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 60,
			"field_number": 7,
			"constraint": ["index"]
		},
		{
			"field_name": "transfer_state",
			"local_field": "json_data.transfer_state",
			"field_type": "integer",
			"field_number": 13
		}
	],
	"field-not-in-use": [
		{
			"field_name": "unused",
			"field_type": "integer",
			"field_number": 14,
			"constraint": ["invisible"]
		},
		{
			"field_name": "unused2",
			"field_type": "integer",
			"field_number": 15,
			"constraint": ["invisible"]
		}
	],
	"local_subtable": "json_data.order_code_account"
}
